Vorherige Version wiederherstellen
curl --request POST \
--url https://app.famulor.de/api/user/automate/flows/{id}/restore \
--header 'Authorization: Bearer <token>'const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.famulor.de/api/user/automate/flows/{id}/restore', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.famulor.de/api/user/automate/flows/{id}/restore"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.famulor.de/api/user/automate/flows/{id}/restore",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.famulor.de/api/user/automate/flows/{id}/restore"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"automation_id": "f4EaLhOW2zoEsXXSOJP2r",
"name": "Order lookup",
"status": "enabled",
"restored_version_id": "8auMJQtqBnE1X8ZP7WVnI",
"note": "Rolled back to the previous published version and re-published it live."
}
{
"message": "There is no earlier version of this automation to roll back to.",
"error": "no_previous_version"
}
{
"message": "Automation not found, or it does not belong to your account.",
"error": "not_found"
}
Vorherige Version wiederherstellen
Rolle eine Famulor-Automation auf die vorherige veröffentlichte Version zurück.
POST
/
api
/
user
/
automate
/
flows
/
{id}
/
restore
Vorherige Version wiederherstellen
Dieser Endpunkt rollt eine Automation auf die unmittelbar vor der aktuellen veröffentlichte Version zurück und veröffentlicht sie erneut — das Undo für ein Update, das die Lage verschlechtert hat. Es wird nur die vorherige Version unterstützt. Eine ausgeschaltete Automation bleibt nach dem Restore ausgeschaltet.
Dieser Endpunkt nimmt keinen Request Body.
Eine fehlende Automation — oder eine, die nicht zu deinem Account gehört — liefert
Path Parameters
string
erforderlich
Die ID der Automation (aus Automationen auflisten)
Response
string
Die ID der Automation
string
Der Name der Automation nach dem Restore
string
enabled oder disabled — der Ein-/Aus-Zustand vor dem Restore bleibt erhaltenstring
Die ID der jetzt live geschalteten Version
string
Bestätigung, dass die vorherige Version wiederhergestellt und erneut veröffentlicht wurde
404.
Fehlercodes (422)
| error | Bedeutung |
|---|---|
no_previous_version | Es gibt keine frühere Version dieser Automation zum Zurückrollen. |
rollback_failed | Die vorherige Version konnte nicht wiederhergestellt werden — nichts wurde geändert. |
publish_failed | Die vorherige Version wurde als Draft wiederhergestellt, konnte aber nicht veröffentlicht werden — in der Famulor-App publizieren oder erneut versuchen. |
{
"automation_id": "f4EaLhOW2zoEsXXSOJP2r",
"name": "Order lookup",
"status": "enabled",
"restored_version_id": "8auMJQtqBnE1X8ZP7WVnI",
"note": "Rolled back to the previous published version and re-published it live."
}
{
"message": "There is no earlier version of this automation to roll back to.",
"error": "no_previous_version"
}
{
"message": "Automation not found, or it does not belong to your account.",
"error": "not_found"
}
Verwandte Seiten: Automation aktualisieren, Automation abrufen und Authentifizierung.
⌘I